.products-div {
  background-color: $productsBg;
}

.products-title {
  @include titleProducts;
}

.products-btn {
  @include btnShowAll;
}

.produtcs-btn-text {
  @include textBtnProducts;
}

.products-grade {
  @include productsDiv;
}

.products-grade-title {
  @include productsDivTitle;
}

@for $i from 1 through 6 {
  .products-grade-description-#{$i} {
    @include productsDescription;
  }
}

@for $i from 1 through 6 {
  .products-grade-description-buttons-#{$i} {
    @include productsDescription;
  }
}

.products-rect {
  @include productsRectNumber;

  & > p {
    margin-bottom: 0 !important;
    position: relative;
    top: 30%;
  }
}

.products-rect-sale {
  @include productsRect;
  @include productsAlignTop;
  background-color: $logoBgColor;

  & > p {
    margin-bottom: 0 !important;
  }
}

.products-rect-stock {
  @include productsRect;
  @include productsAlignTop;
  background-color: $productsOutOfStock;

  & > p {
    margin-bottom: 0 !important;
  }
}

.fa-eye {
  width: 16px;
  height: 10px;
  color: $productsView;
}
.fa-star {
  width: 16px;
  height: 15px;
  color: $productsView;
}
.fa-share-square {
  width: 16px;
  height: 13px;
  color: $productsView;
}
.fa-cart-arrow-down {
  width: 16px;
  height: 15px;
  border-radius: 1px;
  color: $productsView;
}

.products-addon {
  @include productsAddonSmall;
}

.products-addon-big {
  @include productsAddonBig;

  & > div {
    display: flex;
  }
}

.products-addon-title {
  @include productsAddonTitle;
}

.products-addon-desc {
  @include productsAddonDesc;
  margin-bottom: 0 !important;
}

.products-addon-desc-rect {
  @include productsAddonDescRect;
}

.products-addon-desc-blog {
  @include productsAddonBlogDesc;

  & p {
    margin-bottom: 0;
  }
}

/* MEDIA QUERIES */

@media (max-width: 1199px) and (min-width: 992px) {
  .products-rect-sale {
    left: 210px;
  }
  .products-rect-stock {
    left: 210px;
  }
}

@media (max-width: 1199px) {
  .products-addon,
  .products-addon-big {
    height: 200px;
  }
}

@media (max-width: 991px) {
  @for $i from 1 through 6 {
    .products-grade-description-buttons-#{$i} {
      left: 20px;
      @include productsDescription;
    }
  }

  .products-div {
    & > .container {
      max-width: calc(720px + 30px);
    }
  }

  .products-rect-stock {
    @include productsRect;
    @include productsAlignTop;
    background-color: $productsOutOfStock;
    left: 130px !important;

    & > p {
      margin-bottom: 0 !important;
    }
  }

  .products-rect-sale {
    @include productsRect;
    @include productsAlignTop;
    background-color: $logoBgColor;
    left: 130px !important;

    & > p {
      margin-bottom: 0 !important;
    }
  }

  .products-addon-title {
    @include productsAddonTitle;

    line-height: 45px !important;
  }

  .products-addon {
    @include productsAddonSmall;
    height: 250px !important;
  }

  .products-addon-big {
    @include productsAddonBig;
    height: 250px !important;

    & div:nth-child(1) {
      margin-bottom: 2rem !important;
    }
  }
}

@media (max-width: 767px) {
  .products-rect-sale,
  .products-rect-stock {
    left: 250px !important;
  }
}

@media (max-width: 700px) {
  .products-rect-sale,
  .products-rect-stock {
    left: 210px !important;
  }
}

@media (max-width: 575px) {
  .products-rect-sale,
  .products-rect-stock {
    left: 360px !important;
  }
}

@media (max-width: 507px) {
  .produtcs-div {
    & > div {
      & .pb-3 {
        & > div {
          display: block !important;
        }
      }
    }
  }

  .products-rect-sale,
  .products-rect-stock {
    left: 350px !important;
  }
}

@media (max-width: 476px) {
  .products-rect-sale,
  .products-rect-stock {
    left: 300px !important;
  }
}

@media (max-width: 455px) {
  .products-div {
    & > .container {
      & .row:first-of-type,
      & .row:nth-of-type(3) {
        flex-wrap: wrap;

        & > div {
          flex-wrap: wrap;
        }

        & h2 {
          white-space: nowrap;
        }

        & button {
          margin-bottom: 10px;
        }
      }
    }
  }
}

@media (max-width: 429px) {
  .products-rect-sale,
  .products-rect-stock {
    left: 270px !important;
  }
}

@media (max-width: 397px) {
  .products-rect-sale,
  .products-rect-stock {
    left: 240px !important;
  }
}

@media (max-width: 367px) {
  .products-rect-sale,
  .products-rect-stock {
    left: 200px !important;
  }
}

@media (max-width: 329px) {
  .products-rect-sale,
  .products-rect-stock {
    left: 170px !important;
  }

  .products-addon,
  .products-addon-big {
    height: 230px !important;
  }
}
